/* -*- c++ -*-
 * tkresolver - Telekinesis testing software
 *
 * Copyright (C) 2009 Robert Ham <rah@bash.sh>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

#ifndef __TK_EDITOR_OPERATOR_H__
#define __TK_EDITOR_OPERATOR_H__

#include "editor/item.h"

namespace Tk {
  namespace Editor {
    
    class Operator : public Item
      {
      public:
	Operator(Tk::Db::Database *database, const Tk::Db::Id &id);
	virtual Tk::String get_store_cell_text();
	virtual void set_property(const Tk::String &name, Tk::Db::Data::Value &value);
      };
    
    
  } /* namespace Editor */
}; /* namespace Tk */

#endif /* __TK_EDITOR_OPERATOR_H__ */
