/* -*- c++ -*-
 * tkresolver - Telekinesis testing software
 *
 * Copyright (C) 2009 Robert Ham <rah@bash.sh>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

#ifndef __TK_EDITOR_OPERATOR_STORE_H__
#define __TK_EDITOR_OPERATOR_STORE_H__

#include <map>

#include <gtkmm.h>

#include "libtkcommon/tkstring.h"
#include "editor/item_store.h"

namespace Tk {
  namespace Editor {
    
    class OperatorStore : public ItemStore
    {
    protected:
      virtual Item *create_item(const Tk::Db::Id &id);
    public:
      OperatorStore(Tk::Db::Database *database);
    };
    
    
  } /* namespace Editor */
}; /* namespace Tk */

#endif /* __TK_EDITOR_OPERATOR_STORE_H__ */
