/*
 * tkresolver - Telekinesis testing software
 *
 * Copyright (C) 2007 Robert Ham <rah@bash.sh>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

#include "experimenter/total_time.h"

using namespace Tk;
using namespace Experimenter;

TotalTime:: TotalTime()
  : ComboBoxSpin(10.0, static_cast<guint>(0U)),
    _adjustment(1.0, 1.0, 14400.0)
{
  set_adjustment(_adjustment);
  add_value_with_desc(30.0,   "30 seconds");
  add_value_with_desc(45.0,   "45 seconds");
  add_value_with_desc(60.0,   "1 minute");
  add_value_with_desc(85.0,   "1 minute, 15 seconds");
  add_value_with_desc(90.0,   "1 minute, 30 seconds");
  add_value_with_desc(105.0,  "1 minute, 45 seconds");
  add_value_with_desc(120.0,  "2 minutes");
  add_value_with_desc(180.0,  "3 minutes");
  add_value_with_desc(240.0,  "4 minutes");
  add_value_with_desc(300.0,  "5 minutes");
  add_value_with_desc(360.0,  "6 minutes");
  add_value_with_desc(480.0,  "8 minutes");
  add_value_with_desc(600.0,  "10 minutes");
  add_value_with_desc(900.0,  "15 minutes");
  add_value_with_desc(1800.0, "30 minutes");
  add_value_with_desc(2700.0, "45 minutes");
  add_value_with_desc(3600.0, "1 hour");
  
  // 3 min default
  set_value(180.0);
}

void
TotalTime:: add_value_with_desc(double value, const String &description)
{
  add_value(value, &description);
}

unsigned
TotalTime:: get_total_time() const
{
  return static_cast<unsigned>( get_value() );
}
