/* -*- c++ -*-
 * tkresolver - Telekinesis testing software
 *
 * Copyright (C) 2004, 2005, 2006, 2007 Robert Ham <rah@bash.sh>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

#ifndef __TK_DB_UI_LOGIN_H__
#define __TK_DB_UI_LOGIN_H__

#include <gtkmm.h>
#include <gconfmm.h>

#include "libtkcommon/tkstring.h"
#include "libtkcommon/debug.h"
#include "libtkdb/database.h"

namespace Tk {
  namespace Db {
    namespace Ui {
      
      class Login : public Gtk::Dialog
	{
	private:
	  Glib::RefPtr<Gnome::Conf::Client> _conf;

	  Gtk::ComboBoxText _data_source_name;
	  Gtk::Entry        _username;
	  Gtk::Entry        _password;
	  
	  void fill_data_source_names();
	  
	public:
	  Login();
	  ~Login();
	  Tk::String get_data_source_name() const;
	  Tk::String get_username() const;
	  Tk::String get_password() const;
	};
      
      Db::Database *login();
      
    } /* namespace Ui */
  } /* namespace Db */
} /* namespace Tk */




#endif /* __TK_DB_UI_LOGIN_H__ */
